SET STATISTICS IO ON
GO

SELECT [FirstName]
      ,[LastName]
      ,[EmailAddress]
  FROM [Person].[Contact]
GO

SET STATISTICS IO OFF
GO

CREATE NONCLUSTERED INDEX [IX_Contact_EmailAddress_Name] ON [Person].[Contact] 
	(
	[EmailAddress] ASC
	)
INCLUDE ([FirstName]
	,[LastName]
	);
GO

SET STATISTICS IO ON
GO

SELECT [FirstName]
      ,[LastName]
      ,[EmailAddress]
  FROM [Person].[Contact]
GO

SET STATISTICS IO OFF
GO

SELECT * from sys.indexes
WHERE object_id = OBJECT_ID ('AdventureWorks.Person.Contact');
GO

SELECT index_depth as D
	, index_level as L
	, record_count as 'Count'
	, page_count as PgCnt
	, avg_page_space_used_in_percent as 'PgPercentFull'
	, min_record_size_in_bytes as 'MinLen'
	, max_record_size_in_bytes as 'MaxLen'
	, avg_record_size_in_bytes as 'AvgLen'
FROM sys.dm_db_index_physical_stats
	(DB_ID ('AdventureWorks')
	, OBJECT_ID ('AdventureWorks.Person.Contact')
	, 5, NULL, 'DETAILED');
GO

DROP INDEX [IX_Contact_EmailAddress_Name] ON [Person].[Contact]
GO


